package cn.iocoder.yudao.module.member.controller.admin.job;

import cn.iocoder.yudao.framework.quartz.core.handler.JobHandler;
import cn.iocoder.yudao.module.member.util.ScoreRuleGenCodeUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 积分规则编号刷新任务
 * @author zhaobiyan
 */
@Component
@Slf4j
public class ScoreRuleCodeFlushTask implements JobHandler {

    @Resource
    private ScoreRuleGenCodeUtils scoreRuleGenCodeUtils;

    @Override
    public String execute(String param) throws Exception {
        scoreRuleGenCodeUtils.historyScoreRuleCodeFlush();
        return "success";
    }
}