package cn.iocoder.yudao.module.member.controller.admin.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 用户企业认证审核 Request VO")
@Data
@EqualsAndHashCode
@ToString
public class UserAuditEnterpriseReqVO {

    @ApiModelProperty(value = "用户企业认证ID", required = true)
    @NotNull(message = "用户企业认证ID不能为空")
    private Long userEnterpriseAuthId;

    @ApiModelProperty(value = "审核结果 0未审核 1审核中 2审核通过 3审核不通过 见audit_status", required = true)
    @NotNull(message = "审核结果不能为空")
    private Integer auditStatus;

    @ApiModelProperty(value = "审核备注")
    private String auditRemark;

}
