package cn.iocoder.yudao.module.member.controller.admin.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 用户更新状态 Request VO")
@Data
@EqualsAndHashCode
@ToString
public class UserUpdateStatusReqVO {

    @ApiModelProperty(value = "用户id", required = true)
    @NotNull(message = "用户ID不能为空")
    private Long id;

    @ApiModelProperty(value = "用户状态 0开启 1关闭 见字典common_status", required = true)
    @NotNull(message = "用户状态不能为空")
    private Integer status;

}
