package cn.iocoder.yudao.module.member.dal.dataobject.ScoreRuleShareRecord;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * 分享记录 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("score_rule_share_record")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ScoreRuleShareRecordDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 分享编号
     */
    private String code;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 积分规则id
     */
    private Long ruleId;
    /**
     * 总积分
     */
    private Integer totalScore;
    /**
     * 最后触发时间
     */
    private Date lastTriggerTime;
}
