package cn.iocoder.yudao.module.member.dal.dataobject.scoreDetailReleation;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 会员积分 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("member_user_score_detail_releation")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MemberUserScoreDetailReleationDO extends BaseDO {

    @TableId
    private Long id;

    private String releationId;

    private Integer sourceType;

    private Long detailId;

    private Integer scoreCount;

    private Integer status;
}
