package cn.iocoder.yudao.module.member.dal.dataobject.userEnterprise;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 会员公司信息 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("member_user_enterprise")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserEnterpriseDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 公司英文名称
     */
    private String companyEnName;
    /**
     * 公司简介
     */
    private String companyDesc;
    /**
     * 公司官网
     */
    private String companyWebsite;
    /**
     * 公司地址
     */
    private String companyAddress;
    /**
     * 档口
     */
    private String companyStall;
    /**
     * 品牌
     */
    private String companyBand;

}
