package cn.iocoder.yudao.module.member.dal.mysql.memberUserLevelOperateLog;

import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.member.dal.dataobject.levelLog.MemberUserLevelLogDO;
import cn.iocoder.yudao.module.member.dal.dataobject.levelOperatLog.MemberUserLevelOperateLogDO;
import cn.iocoder.yudao.module.member.vo.userLevelLog.MemberUserLevelLogBackVO;
import cn.iocoder.yudao.module.member.vo.userLevelLog.MemberUserLevelLogQueryVO;
import cn.iocoder.yudao.module.member.vo.userLevelOperateLog.MemberUserLevelOperateLogBackVO;
import cn.iocoder.yudao.module.member.vo.userLevelOperateLog.MemberUserLevelOperateLogQueryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 会员积分 Mapper
 * @author 系统管理员
 */
@Mapper
public interface MemberUserLevelOperateLogMapper extends AbstractMapper<MemberUserLevelOperateLogDO> {

    List<MemberUserLevelOperateLogBackVO> getPageRecordList(@Param("start") int start, @Param("size") int size, @Param("query") MemberUserLevelOperateLogQueryVO query);

    int getPageCount(@Param("query") MemberUserLevelOperateLogQueryVO query);
}
