package cn.iocoder.yudao.module.member.dal.mysql.userLevelDetails;

import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.member.dal.dataobject.memberUserLevelDetail.MemberUserLevelDetailsDO;
import cn.iocoder.yudao.module.member.vo.userLevelDetails.MemberUserLevelDetailsBackVO;
import cn.iocoder.yudao.module.member.vo.userLevelDetails.MemberUserLevelDetailsQueryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 会员等级详情 Mapper
 * @author Smile
 */
@Mapper
public interface MemberUserLevelDetailsMapper extends AbstractMapper<MemberUserLevelDetailsDO> {

    List<MemberUserLevelDetailsBackVO> getPageDetailsList(@Param("start") int start, @Param("size") int size, @Param("query") MemberUserLevelDetailsQueryVO query);

    int getPageCount(@Param("query") MemberUserLevelDetailsQueryVO query);
}
