package cn.iocoder.yudao.module.member.vo.ScoreRuleShareRecord;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("管理后台 - 分享记录创建 Request VO")
public class ScoreRuleShareRecordCreateReqVO extends ScoreRuleShareRecordBaseVO {

    @ApiModelProperty(value = "会员id", required = true)
    @NotNull(message = "会员id不能为空")
    private Long memberId;

    @ApiModelProperty(value = "积分规则id", required = true)
    @NotNull(message = "积分规则id不能为空")
    private Long ruleId;
}
