package cn.iocoder.yudao.module.member.vo.memberUserScore;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author zhaobiyan
 */
@Data
@ApiModel("管理后台 - 操作积分 VO")
public class MemberUserScoreOperateQueryVO {
    @ApiModelProperty(value = "会员id列表")
    private List<Long> memberIds;
    @ApiModelProperty(value = "操作类型 1:新增 2:删除")
    private Integer operateType;
    @ApiModelProperty(value = "积分数量")
    private Integer scoreCount;
    @ApiModelProperty(value = "备注")
    private String comment;
}
