package cn.iocoder.yudao.module.member.vo.scoreRule;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("管理后台 - 启用关闭规则 VO")
public class ScoreRuleStatusReqVO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空")
    private Long id;
    @ApiModelProperty(value = "状态（1已启用，2未启用，3已关闭，4已过期）", required = true)
    @NotNull(message = "状态不能为空")
    private Integer status;
}
