package cn.iocoder.yudao.module.member.vo.userLevelDetails;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Smile
 */
@Data
@ApiModel("管理后台 - 会员等级详情查询 VO")
public class MemberUserLevelDetailsQueryVO extends PageParam {
    @ApiModelProperty(value = "id")
    private Long id;
    @ApiModelProperty(value = "会员id")
    private Long memberId;
    @ApiModelProperty(value = "会员等级配置id")
    private Long configId;

    @ApiModelProperty(value = "会员等级配置编号")
    private String ruleNumber;

    @ApiModelProperty(value = "等级")
    private Integer level;

    @ApiModelProperty(value = "等级有效期")
    private Date validityPeriod;

    @ApiModelProperty(value = "等级特殊设置")
    private Boolean specificSettings;

    @ApiModelProperty(value = "更新原因")
    private String remarks;
}
