package cn.iocoder.yudao.module.member.vo.userLevelLog;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.Map;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * @author Smile
 */
@Data
@Builder
public class MemberUserLevelLogCreateReq {
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "操作时间")
    private Date createTime;
    @ApiModelProperty(value = "会员等级配置id")
    private Long configId;

    @ApiModelProperty(value = "操作人")
    private String operator;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "操作类型，1-新增，2-编辑", required = true)
    private Integer operateType;

    @ApiModelProperty(value = "审批流程ID")
    private Long bpmProcessId;
}
