package cn.iocoder.yudao.module.member.controller.admin.job;

import cn.iocoder.yudao.framework.quartz.core.handler.JobHandler;
import cn.iocoder.yudao.module.member.service.user.MemberUserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 会员编号刷新任务
 * @author zhaobiyan
 */
@Component
@Slf4j
public class MemberCodeFlushTask implements JobHandler {

    @Resource
    private MemberUserService userService;

    @Override
    public String execute(String param) throws Exception {
        userService.historyCodeFlush();
        return "success";
    }
}
