package cn.iocoder.yudao.module.member.controller.app.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "用户相关角标")
public class AppUserAngleMarkVO {

    @ApiModelProperty(value = "控货中的订单数")
    private Integer cargoControlInNum = 0;

    @ApiModelProperty(value = "全部的控货订单数")
    private Integer cargoControlAllNum = 0;

    @ApiModelProperty(value = "有效的优惠劵数量")
    private Integer couponNum = 0;

    @ApiModelProperty(value = "未读消息数")
    private Integer unreadMessageNum = 0;

    @ApiModelProperty(value = "待结款订单数")
    private Integer notSettlementNum = 0;

    @ApiModelProperty(value = "我发出的订单数")
    private Integer issuedOrderNum = 0;

    @ApiModelProperty(value = "我收到的订单数")
    private Integer receivedOrderNum = 0;

    @ApiModelProperty(value = "我全部的订单数")
    private Integer allOrderNum = 0;
}
