package cn.iocoder.yudao.module.member.convert.user;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.api.user.dto.UserRespDTO;
import cn.iocoder.yudao.module.member.controller.admin.user.vo.UserBackVO;
import cn.iocoder.yudao.module.member.controller.app.user.vo.AppUserInfoRespVO;
import cn.iocoder.yudao.module.member.dal.dataobject.user.MemberUserDO;
import cn.iocoder.yudao.module.member.vo.member.MemberUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface UserConvert {

    UserConvert INSTANCE = Mappers.getMapper(UserConvert.class);

    AppUserInfoRespVO convert(MemberUserDO bean);

    UserRespDTO convert2(MemberUserDO bean);

    List<UserRespDTO> convertList(List<MemberUserDO> memberUserDOS);

    PageResult<UserRespDTO> converUserRespDTO(PageResult<MemberUserDO> pageResult);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    MemberUserDO convert(MemberUpdateReqVO bean);

    UserBackVO converUserBackVO(MemberUserDO memberUserDO);
    List<UserBackVO> converUserBackVO(List<MemberUserDO> memberUserDOList);
    PageResult<UserBackVO> converUserBackVO(PageResult<MemberUserDO> pageResult);


}
