package cn.iocoder.yudao.module.member.dal.dataobject.ScoreRuleShareRecord;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 分享规则失败点击记录 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("score_rule_share_fail_trigger")
public class ScoreRuleShareFailTriggerDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 分享记录id
     */
    private Long shareRecordId;
    /**
     * 点击时间
     */
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date triggerTime;
    /**
     * 点击ip
     */
    private String ipAddress;
}
