package cn.iocoder.yudao.module.member.dal.dataobject.levelLog;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("member_user_level_log")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MemberUserLevelLogDO extends BaseDO {
    /**
     * 主键
     */
    @TableId
    private Long id;

    private Long configId;

    private String operator;

    private String remarks;

    private Integer operateType;

    private Long bpmProcessId;
}
