package cn.iocoder.yudao.module.member.dal.dataobject.levelOperatLog;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("member_user_level_operate_log")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MemberUserLevelOperateLogDO extends BaseDO {
    /**
     * 主键
     */
    @TableId
    private Long id;

    private Long configId;

    private String configName;

    private Long memberId;

    private String operator;

    private String remarks;

    private Integer level;

    private Integer operateType;
 }
