package cn.iocoder.yudao.module.member.dal.dataobject.memberUserLevelDetail;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * @author Smile
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("member_user_level_details")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MemberUserLevelDetailsDO extends BaseDO {
    /**
     * 主键
     */
    @TableId
    private Long id;

    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long configId;

    private Long memberId;

    private Integer level;

    private Date validityPeriod;

    private Boolean specificSettings;

    private String remarks;

 }
