package cn.iocoder.yudao.module.member.dal.dataobject.scoreLog;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("member_user_score_log")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MemberUserScoreLogDO extends BaseDO {
    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 会员id
     */
    private Long memberId;

    private Integer scoreCount;

    private Integer operateType;

    private Integer sourceType;

    private Long ruleId;

    private String extParam = "{}";

    private String uniqueId;
}
