package cn.iocoder.yudao.module.member.dal.mysql.ScoreRuleShareRecord;

import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.member.dal.dataobject.ScoreRuleShareRecord.ScoreRuleShareRecordDO;
import cn.iocoder.yudao.module.member.vo.ScoreRuleShareRecord.ScoreRuleShareRecordDetailReqVO;
import cn.iocoder.yudao.module.member.vo.ScoreRuleShareRecord.ScoreRuleShareRecordDetailVO;
import cn.iocoder.yudao.module.member.vo.ScoreRuleShareRecord.ScoreRuleShareRecordPageVO;
import cn.iocoder.yudao.module.member.vo.ScoreRuleShareRecord.ScoreRuleShareRecordQueryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 分享记录 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface ScoreRuleShareRecordMapper extends AbstractMapper<ScoreRuleShareRecordDO> {

    List<ScoreRuleShareRecordPageVO> getScoreRuleShareRecordList(@Param("start") int start, @Param("size") int size, @Param("query") ScoreRuleShareRecordQueryVO query);

    int countScoreRuleShareRecord(@Param("query") ScoreRuleShareRecordQueryVO query);

    List<ScoreRuleShareRecordDetailVO> getRuleShareRecordDetail(@Param("start") int start, @Param("size") int size, @Param("query") ScoreRuleShareRecordDetailReqVO query);

    int countScoreRuleShareRecordDetail(@Param("query") ScoreRuleShareRecordDetailReqVO query);

    String getCurrentMaxShareRecordCode();
}