package cn.iocoder.yudao.module.member.dal.mysql.memberUserLevel;

import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.member.dal.dataobject.level.MemberUserLevelConfigDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.ResultType;
import org.apache.ibatis.annotations.Select;

/**
 * 会员等级 Mapper
 * @author 系统管理员
 */
@Mapper
public interface MemberUserLevelConfigMapper extends AbstractMapper<MemberUserLevelConfigDO> {
    @ResultType(String.class)
    @Select({"select rule_number from member_user_level_config  order by rule_number desc limit 1"})
    String getCurrentMaxMemberUserLevelRuleNumber();
}
