package cn.iocoder.yudao.module.member.dal.mysql.memberUserLevelLog;

import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.member.dal.dataobject.levelLog.MemberUserLevelLogDO;
import cn.iocoder.yudao.module.member.dal.dataobject.scoreLog.MemberUserScoreLogDO;
import cn.iocoder.yudao.module.member.vo.memberUserScoreLog.MemberUserScoreLogBackVO;
import cn.iocoder.yudao.module.member.vo.memberUserScoreLog.MemberUserScoreLogQueryVO;
import cn.iocoder.yudao.module.member.vo.userLevelLog.MemberUserLevelLogBackVO;
import cn.iocoder.yudao.module.member.vo.userLevelLog.MemberUserLevelLogQueryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 会员积分 Mapper
 * @author 系统管理员
 */
@Mapper
public interface MemberUserLevelLogMapper extends AbstractMapper<MemberUserLevelLogDO> {

    List<MemberUserLevelLogBackVO> getPageRecordList(@Param("start") int start, @Param("size") int size, @Param("query") MemberUserLevelLogQueryVO query);

    int getPageCount(@Param("query") MemberUserLevelLogQueryVO query);
}
