package cn.iocoder.yudao.module.member.service.levelLog;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.member.dal.dataobject.levelLog.MemberUserLevelLogDO;
import cn.iocoder.yudao.module.member.vo.userLevelLog.MemberUserLevelLogBackVO;
import cn.iocoder.yudao.module.member.vo.userLevelLog.MemberUserLevelLogCreateReq;
import cn.iocoder.yudao.module.member.vo.userLevelLog.MemberUserLevelLogQueryVO;

/**
 * 会员等级日志 Service 接口
 *
 * @author 系统管理员
 */
public interface MemberUserLevelLogService extends IService<MemberUserLevelLogDO> {

    PageResult<MemberUserLevelLogBackVO> getPage(MemberUserLevelLogQueryVO query);

    Long createLevelLog(MemberUserLevelLogCreateReq createReq);

}
