package cn.iocoder.yudao.module.member.service.scoreDetailReleation;

import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.member.dal.dataobject.scoreDetailReleation.MemberUserScoreDetailReleationDO;
import cn.iocoder.yudao.module.member.dto.ScoreDetailChangeDto;
import cn.iocoder.yudao.module.member.enums.ScoreSourceTypeEnum;

import java.util.List;

/**
 * 会员积分日志 Service 接口
 *
 * @author 系统管理员
 */
public interface MemberUserScoreDetailReleationService extends IService<MemberUserScoreDetailReleationDO> {

    void updateReleation(String releationId, ScoreSourceTypeEnum sourceType, List<ScoreDetailChangeDto> detailInfos);

    List<MemberUserScoreDetailReleationDO> listByReleationIdAndSource(String releationId, int value);
}
