package cn.iocoder.yudao.module.member.service.scoreLog;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.member.controller.app.userScore.vo.AppMemberUserIdQueryVO;
import cn.iocoder.yudao.module.member.controller.app.userScore.vo.AppMemberUserScoreLogRespVO;
import cn.iocoder.yudao.module.member.dal.dataobject.scoreLog.MemberUserScoreLogDO;
import cn.iocoder.yudao.module.member.vo.memberUserScoreLog.MemberUserScoreLogBackVO;
import cn.iocoder.yudao.module.member.vo.memberUserScoreLog.MemberUserScoreLogCreateReq;
import cn.iocoder.yudao.module.member.vo.memberUserScoreLog.MemberUserScoreLogQueryVO;

import java.util.List;

/**
 * 会员积分日志 Service 接口
 *
 * @author 系统管理员
 */
public interface MemberUserScoreLogService extends IService<MemberUserScoreLogDO> {

    PageResult<MemberUserScoreLogBackVO> getPage(MemberUserScoreLogQueryVO query);

    Long createScoreLog(MemberUserScoreLogCreateReq createReq);

    MemberUserScoreLogDO getByUniqueId(String uniqueId);

    List<AppMemberUserScoreLogRespVO> getUserScoreLogList(AppMemberUserIdQueryVO query);
}
