package cn.iocoder.yudao.module.member.vo.memberUserScoreLog;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zhaobiyan
 */
@Data
@ApiModel("管理后台 - 积分记录查询 VO")
public class MemberUserScoreLogQueryVO extends PageParam {
    @ApiModelProperty(value = "关键词")
    private String key;
    @ApiModelProperty(value = "积分来源")
    private Integer sourceType;
    @ApiModelProperty(value = "规则标题")
    private String ruleTitle;
    @ApiModelProperty(value = "规则说明")
    private String ruleDesc;
    @ApiModelProperty(value = "积分数值")
    private Integer scoreCount;
    @ApiModelProperty(value = "积分数值操作")
    private Integer scoreCountOperate;
    @ApiModelProperty(value = "开始时间")
    private Date startTime;
    @ApiModelProperty(value = "结束时间")
    private Date endTime;
    @ApiModelProperty(value = "会员id")
    private Long memberId;
}
