package cn.iocoder.yudao.module.member.vo.userEnterprise;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 会员公司信息 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class UserEnterpriseBaseVO {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "公司名称")
    private String companyName;

    @ApiModelProperty(value = "公司英文名称")
    private String companyEnName;

    @ApiModelProperty(value = "公司简介")
    private String companyDesc;

    @ApiModelProperty(value = "公司官网")
    private String companyWebsite;

    @ApiModelProperty(value = "公司地址")
    private String companyAddress;

    @ApiModelProperty(value = "档口")
    private String companyStall;

    @ApiModelProperty(value = "品牌")
    private String companyBand;

}
