package cn.iocoder.yudao.module.member.vo.userLevelDetails;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.Date;

/**
 * @author Smile
 */
@Data
@Builder
public class MemberUserLevelDetailsCreateReq {
    @ApiModelProperty(value = "会员等级配置id")
    private Long configId;

    @ApiModelProperty(value = "会员id")
    private Long memberId;

    @ApiModelProperty(value = "等级")
    private Integer level;

    @ApiModelProperty(value = "等级有效期")
    private Date validityPeriod;

    @ApiModelProperty(value = "等级特殊设置")
    private Boolean specificSettings;

    @ApiModelProperty(value = "更新原因")
    private String remarks;
}
