package cn.iocoder.yudao.module.member.vo.userLevelOperateLog;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * @author Smile
 */
@Data
@Builder
public class MemberUserLevelOperateLogCreateReq {
    @ApiModelProperty(value = "会员等级配置id")
    private Long configId;

    @ApiModelProperty(value = "会员id")
    private Long memberId;

    @ApiModelProperty(value = "操作人")
    private String configName;

    @ApiModelProperty(value = "操作人")
    private String operator;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "操作类型，1-升级 2-降级 3-修改", required = true)
    private Integer operateType;

    @ApiModelProperty(value = "等级")
    private Integer level;
}
